[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# EListError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception thrown when a list-related error occurs

## Declaration

Source position: fgl.pp line 39

`type EListError = class(Exception)`

## Inheritance

`EListError` |  | Exception thrown when a list-related error occurs
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EListError is the exception used in the TFPSList class to indicate errors such as a list index out of bounds, wrong capacity etc.

## See also

TFPSList.Capacity |  | Current capacity of the list
TFPSList.Exchange |  | Exchange two items in the list
TFPSList.Items |  | Items in the list